### Function

# EBookContacts ContactDateTime from_string

since: 3.60

#### Declaration [src]

    EContactDateTime*
    e_contact_date_time_from_string (
      const gchar* str,
      EContactDateTimeFlags flags
    )

#### Description [src]

Creates a new `EContactDateTime` based on `str`.

Available since: 3.60

#### Parameters

`str`

  Type: `const gchar*`

  A date, time, date-time string in vCard format.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `EContactDateTimeFlags`

  No description available.

#### Return value

Type: `EContactDateTime`

A new `EContactDateTime` struct.

The caller of the function takes ownership of the data, and is responsible for freeing it.